Qore OracleSqlUtil Module Reference: OracleSqlUtil::OracleDatabase Class Reference

Qore OracleSqlUtil Module Reference 1.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | List of all members
OracleSqlUtil::OracleDatabase Class Reference

the Oracle specialization for SqlUtil::AbstractDatabase More...

Inheritance diagram for OracleSqlUtil::OracleDatabase:
[legend]

## Public Member Functions
| constructor (AbstractDatasource nds, *hash opts)
| creates the object from the arguments given
private hash | getAlignSchemaOptions ()
| returns driver-specific options to the base abstract class
private hash | getCreationOptions ()
| returns driver-specific options to the base abstract class
*OracleMaterializedView | getMaterializedView (string name)
| returns an OracleMaterializedView object for the package name given or NOTHING if the object does not exist or is not accessible
private softint | getNextSequenceValueImpl (string name)
| returns the next value in the given sequence
*OraclePackage | getPackage (string name)
| returns an OraclePackage object for the package name given or NOTHING if the object does not exist or is not accessible
private hash | getSchemaDescriptionOptions ()
| returns driver-specific options to the base abstract class
*OracleType | getType (string name)
| returns an OracleType object for the package name given or NOTHING if the object does not exist or is not accessible
list | listMaterializedViews ()
| returns a list of string materialized view names in the database
list | listPackages ()
| returns a list of string package names in the database
list | listSynonyms ()
| returns a list of string synonym names in the database
list | listTypes ()
| returns a list of string type names in the database
ListIterator | materializedViewIterator ()
| returns an iterator listing the string materialized view names in the database
ListIterator | packageIterator ()
| returns an iterator listing the string package names in the database
private bool | supportsPackagesImpl ()
| returns True if the database supports packages
private bool | supportsSequencesImpl ()
| returns True if the database supports sequences
private bool | supportsTypesImpl ()
| returns True if the database supports named types
ListIterator | synonymIterator ()
| returns an iterator listing the string synonym names in the database
ListIterator | typeIterator ()
| returns an iterator listing the string type names in the database

## Public Attributes
const | OracleAlignSchemaOptions
| oracle-specific schema description / alignment options
const | OracleCreationOptions
| oracle-specific generic creation options
const | OracleMaterializedViewDescriptionOptions
| oracle-specific materialized view description options
const | OraclePackageDescriptionOptions
| oracle-specific package description options
const | OracleSchemaDescriptionOptions
| oracle-specific schema description keys More...

## Detailed Description

the Oracle specialization for SqlUtil::AbstractDatabase

## Member Data Documentation

const OracleSqlUtil::OracleDatabase::OracleSchemaDescriptionOptions

Initial value:
= AbstractDatabase::SchemaDescriptionOptions + (
"types": Type::Hash,
"type_map": Type::Hash,
"packages": Type::Hash,
"package_map": Type::Hash,
"materialized_views": Type::Hash,
"materialized_view_map": Type::Hash,
)

oracle-specific schema description keys

This constant extends SqlUtil::AbstractDatabase::SchemaDescriptionOptions as returned by OracleSqlUtil::OracleTable::getSchemaDescriptionOptions with the following Oracle-specific keys:

- `types:` for Oracle type definitions
- `type_map:` to automatically renaming Oracle types during schema alignment
- `packages:` for Oracle package descriptions
- `package_map:` for automatically renaming Oracle types during schema alignment
- `materialized_views:` for Oracle materialized view descriptions
- `materialized_view_map:` for automatically renaming Oracle materialized views during schema alignment